Bug 252461 - problems with specific color selector and with color chooser docker
Summary: problems with specific color selector and with color chooser docker
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 0.1
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: ---
Assignee: Sven Langkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-26 20:11 UTC by Adam C
Modified: 2010-12-06 18:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
colour chooser not working (15.35 KB, image/png)
2010-10-22 00:11 UTC, Adam C
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam C 2010-09-26 20:11:29 UTC
Version:           0.1
OS:                Linux

- the specific color selector doesn't update its channels, if the user clicks on image -> convert image type
- it is slow with tablets (we need a timer, that slows down events from the tablet)

- the color chooser docker doesn't set the colour

Reproducible: Always




OS: Linux (x86_64) release 2.6.34-12-desktop
Compiler: gcc
Comment 1 Sven Langkamp 2010-10-21 00:37:38 UTC
SVN commit 1187974 by langkamp:

update specific color selector colorspace when image colorspace is changed
CCBUG:252461


 M  +2 -0      specificcolorselector_dock.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1187974
Comment 2 Sven Langkamp 2010-10-21 16:35:22 UTC
SVN commit 1188156 by langkamp:

prevent specific color selector from sending too many update when using the tablet
CCBUG:252461


 M  +12 -2     kis_specific_color_selector_widget.cc  
 M  +3 -0      kis_specific_color_selector_widget.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1188156
Comment 3 Sven Langkamp 2010-10-21 16:36:02 UTC
What did you mean by "the color chooser docker doesn't set the colour"?
Comment 4 Adam C 2010-10-22 00:11:45 UTC
Created attachment 52732 [details]
colour chooser not working

if you open this docker and change the colour with it, then the foreground colour is not changed.
Comment 5 Sven Langkamp 2010-10-22 14:16:47 UTC
SVN commit 1188440 by langkamp:

disable color docker, currently doesn't nothing
BUG:252461


 M  +2 -1      Plugin.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1188440
Comment 6 Ganesh Paramasivam 2010-12-06 18:43:38 UTC
commit 2eece610616003b494a84fcb4ae7ff084c35ab0f
branch words-change_tracking-ganeshp
Merge: 4879e17 be16917
Author: Ganesh Paramasivam <ganesh@crystalfab.com>
Date:   Thu Oct 21 08:18:21 2010 +0000

    Merged revisions 1187683,1187692,1187696,1187699,1187724,1187736,1187740-1187741,1187749,1187768-1187770,1187778,1187799-1187800,1187815,1187817,1187822,1187833,1187839,1187868,1187913,1187917,1187954,1187967,1187974 via svnmerge from
    svn+ssh://ganeshp@svn.kde.org/home/kde/trunk/koffice
    
    ........
      r1187683 | vandenoever | 2010-10-20 11:48:05 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Catch errors resulting from XML that is not wellformed.
    ........
      r1187692 | vandenoever | 2010-10-20 12:59:45 +0530 (Wed, 20 Oct 2010) | 3 lines
    
      Do not write out text:page-sequence.
    
      It is only allowed when no text elements like text:p or text:h are written. KOffice does not seem to use text:page-sequence at all.
    ........
      r1187696 | vandenoever | 2010-10-20 13:39:24 +0530 (Wed, 20 Oct 2010) | 3 lines
    
      move style:master-page-name and style:master-page-name
    
      KOffice was writing style:master-page-name and style:master-page-name attributes as part of style:paragraph-properties instead of styles:style. This is fixed now.
    ........
      r1187699 | vandenoever | 2010-10-20 13:45:47 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Do not write attribute koffice:name.
      It is not used and invalid.
    ........
      r1187724 | vandenoever | 2010-10-20 15:53:18 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Add script to validate ODF.
    ........
      r1187736 | breitmeyer | 2010-10-20 16:31:34 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      loaded axis minimum and maximum values
    ........
      r1187740 | lassin | 2010-10-20 16:52:09 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Fixed drawingML bullet color reading, patch provided by Nandita.
    ........
      r1187741 | vandenoever | 2010-10-20 16:54:51 +0530 (Wed, 20 Oct 2010) | 3 lines
    
      Save koffice:name (which is not valid ODF!)
    
      but only if it is absolutely necessary. That is, if it is not empty and not the same as the 'official' draw:name value. For future KOffice versions it might be better to store this information in an RDF graph, so that the content.xml can be valid ODF.
    ........
      r1187749 | lassin | 2010-10-20 17:05:47 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Made symbol bullets in ooxml to behave sanely in more cases.
    ........
      r1187768 | mlaurent | 2010-10-20 17:22:48 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Install as program
    ........
      r1187769 | mlaurent | 2010-10-20 17:23:03 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      install as program
    ........
      r1187770 | mlaurent | 2010-10-20 17:23:16 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Install as progrzm
    ........
      r1187778 | lassin | 2010-10-20 17:39:25 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Simplified drawingML & pptx code.
    ........
      r1187799 | vandenoever | 2010-10-20 18:31:59 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Add validation of manifest.xml
    ........
      r1187800 | vandenoever | 2010-10-20 18:32:03 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Add required manifest version number.
    ........
      r1187815 | lassin | 2010-10-20 18:57:52 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Fixed group shapes in drawingML to have a draw style.
    ........
      r1187817 | lassin | 2010-10-20 18:58:43 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Simplified pptx code.
    ........
      r1187822 | lukast | 2010-10-20 19:12:56 +0530 (Wed, 20 Oct 2010) | 5 lines
    
      Fix for the border artefacts
    
      Proposed by Cyrille Berger
    
      CCBUG:245870
    ........
      r1187833 | vandenoever | 2010-10-20 19:49:45 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Handle KeyError that is thrown if a file is missing from the document.
    ........
      r1187839 | vandenoever | 2010-10-20 19:51:17 +0530 (Wed, 20 Oct 2010) | 1 line
    
      Fix path to manifest.xml.
    ........
      r1187868 | breitmeyer | 2010-10-20 21:04:47 +0530 (Wed, 20 Oct 2010) | 2 lines
    
      Fixed loading of cell regions that contain lists of regions
    ........
      r1187913 | staniek | 2010-10-21 00:11:41 +0530 (Thu, 21 Oct 2010) | 2 lines
    
      SVN_SILENT don't use reference
    ........
      r1187917 | staniek | 2010-10-21 00:23:24 +0530 (Thu, 21 Oct 2010) | 4 lines
    
      KexiDB
      *add sanity checks to assignment operators
    ........
      r1187954 | staniek | 2010-10-21 02:32:21 +0530 (Thu, 21 Oct 2010) | 6 lines
    
      Correction for r1183552: "Make KoReport a full koffice-libs member"
    
      For TINY target reports should be switched off, as well as report plugins,
      so the change in r1183552 now applies only to the default (desktop) builds.
    ........
      r1187967 | langkamp | 2010-10-21 03:02:44 +0530 (Thu, 21 Oct 2010) | 1 line
    
      simplified code
    ........
      r1187974 | langkamp | 2010-10-21 04:08:53 +0530 (Thu, 21 Oct 2010) | 3 lines
    
      update specific color selector colorspace when image colorspace is changed
      CCBUG:252461
    ........
    
    svn path=/branches/work/koffice-change-tracking/; revision=1188051